//******************************************************************************************
//*  Esp_radio -- Webradio receiver for ESP32, VS1053 MP3 module.    *
//******************************************************************************************

//  if You use Eclipse/Sloeber do this:
//  - WiFi.h comment lines 45...56
//    String  SSID(uint8_t networkItem)    {return WiFiScanClass::SSID(networkItem);}
//    int32_t RSSI(uint8_t networkItem)    {return WiFiScanClass::RSSI(networkItem);}
//    uint8_t *BSSID(uint8_t networkItem)  {return WiFiScanClass::BSSID(networkItem);}
//    String  BSSIDstr(uint8_t networkItem){return WiFiScanClass::BSSIDstr(networkItem);}
//    int32_t channel(uint8_t networkItem) {return WiFiScanClass::channel(networkItem);}
//
//  - and insert his:
//    String  SSID(void)                   {return WiFiSTAClass::SSID();}
//    int32_t RSSI(void)                   {return WiFiSTAClass::RSSI();}
//    uint8_t *BSSID(void)                 {return WiFiSTAClass::BSSID();}
//    String  BSSIDstr(void)               {return WiFiSTAClass::BSSIDstr();}
//    int32_t channel(void)                {return WiFiGenericClass::channel();}
//

#include "Arduino.h"
#include <SPI.h>
#include <WiFi.h>
#include "vs1053_ext.h"

// Digital I/O used
#define VS1053_CS     2
#define VS1053_DCS    4
#define VS1053_DREQ   39

String ssid =     "xxxxx";
String password = "xxxxx";

int  volume=15;

VS1053 mp3(VS1053_CS, VS1053_DCS, VS1053_DREQ);

void setup() {
    delay(1000);
    Serial.begin(115200);
    SPI.begin();          // MOSI_pin 23, MISO_pin 19, SCK-pin 18
	mp3.begin();          // Initialize VS1053 player
	mp3.setVolume(15);
    WiFi.disconnect();
	WiFi.mode(WIFI_STA);
	delay(100);
	WiFi.begin(ssid.c_str(), password.c_str());
	delay(100);

	while (WiFi.status() != WL_CONNECTED) delay(1500);
	mp3.connecttohost("icecast.omroep.nl:80/radio1-bb-mp3");
}

void loop() {
	mp3.loop();
}
// optional:
//void vs1053_info(const char *info) {              	// called from vs1053
//	Serial.print(info);									// debug infos
//}
//
//void vs1053_showstation(const char *info){			// called from vs1053
//	Serial.print(info);									// Show station name
//}
//void vs1053_showstreamtitle(const char *info){    	// called from vs1053
//	Serial.print(info);	      							// Show title
//}
//void vs1053_showstreaminfo(const char *info){    		// called from vs1053
//	Serial.print(info);	     							// Show streaminfo
//}
